﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post6348
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            ShapeFileFeatureLayer states = new ShapeFileFeatureLayer(MapPath("~/App_Data/STATES.SHP"));
            states.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.State2;
            states.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay stateOverlay = new LayerOverlay();
            stateOverlay.Layers.Add(states);
            Map1.CustomOverlays.Add(stateOverlay);

            // You should create a marker overlay first, and add the overlay into the CustomOverlays.If you just want to use default marker overlay of map1, you need to initialize the properties of that marker overlay to ensure it will be created at client side.
            SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("SimpleMarkerOverlay");
            markerOverlay.IsBaseOverlay = false;
            Map1.CustomOverlays.Add(markerOverlay);

            states.Open();
            Map1.CurrentExtent = states.GetBoundingBox();
            states.Close();
        }
    }
}
